<?php

 	# класс системный
	# author Drk in

	class system {


		public static function check ($msg) # чек данных	
		{
		$msg        = htmlspecialchars($msg);
		$search     = ['|', '\'', '$', '\\', '^', '%', '`', "\0", "\x00", "\x1A", chr( 226 ) . chr( 128 ) . chr( 174 )];
		$replace    = ['&#124;', '&#39;', '&#36;', '&#92;', '&#94;', '&#37;', '&#96;', '', '', '', ''];
		$msg        = str_replace($search,$replace,$msg);
		$msg        = stripslashes(trim($msg ));
		return $msg;
		
		} 

		public static function trim ($msg,$search) # удаление не нужных символов
		{
			
		$msg        = str_replace($search,'',$msg);
		$msg        = stripslashes(trim($msg));
		return $msg;

		} 

		
		public static function str($msg) # обработка url
		{

		$msg = preg_replace("/%u([0-9a-f]{3,4})/i","&#x\\1;",urldecode($msg));
		$msg = html_entity_decode($msg,null,'UTF-8');
			
		$ru=array('А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я', 'а', 'б', 'в', 'г', 'д', 'е', 'ё', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'п', 'р', 'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я', ' ');
		$en=array('A', 'B', 'V', 'G', 'D', 'E', 'E', 'J', 'Z', 'I', 'I', 'K', 'L', 'M', 'N', 'O', 'P', 'R', 'S', 'T', 'U', 'F', 'H', 'C', 'CH', 'SH', 'SH', '', 'I', '', 'E', 'YU', 'YA', 'a', 'b', 'v', 'g', 'd', 'e', 'e', 'j', 'z', 'i', 'i', 'k', 'l', 'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'f', 'h', 'c', 'ch', 'sh', 'sh', '', 'i', '', 'e', 'yu', 'ya', '_');
		$msg=str_replace($ru,$en,$msg);
		$msg = preg_replace('/[^\/\p{L}0-9]/iu','-',$msg);
		$msg= preg_replace("|[\-]+|is", "-", $msg);
		return mb_strtolower($msg);	

		} 

		public static function out($msg) # обработка url
		{

		return stripslashes(trim($msg));	

		}

		
	} 

?>